package pmicrovenus;

public class Estacion extends Casilla {
    
    //private String color;
    private int precioCompra;
    private int renta;
    
    public Estacion() {
    }
    
     public Estacion(int id, String des, int px, int py, int precio,int renta) {
        super(id,des,px,py); 
        this.precioCompra=precio;
        this.renta=renta;
    }
     
   
  public int getPrecioCompra() {
        return precioCompra;
    }

    public void setPrecioCompra(int val) {
        this.precioCompra = val;
    }

    public int getRenta() {
        return renta; //renta * nº estaciones + 1?
    }

    public void setRenta(int val) {
        this.renta = val;
    }

    public void accion(Jugador j) {
        System.out.println("Has caido en la casilla numero " + super.getNum() + ", " + super.getDescripcion());
        if (super.isDisponible()==true){
           System.out.println("¿Comprar estacion " + super.getDescripcion() + " por " + getPrecioCompra() + " €?"); 
//           j.comprarEstacion();
//           super.setPropietario(j);
           j.comprar();
        }else{
            if (j.tieneEstacion(getDescripcion())){//si pertenece al jugador
                 
            }else{
                //j.pagarRenta();
                j.pagarRentaA(getPropietario(),getRenta());
            }
        }
    
    }
}
